

import java.util.ArrayList;

// <editor-fold defaultstate="collapsed" desc=" UML Marker ">
// #[regen=yes,id=DCE.87A7CB70-16BB-B566-3582-4D2DD51F4068]
// </editor-fold>
public class Remesa {
     private String nombreOrdenante;


    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,id=DCE.A2F8266F-ED41-685D-8F7F-581270395291]
    // </editor-fold>
    private ArrayList<OpRemesas> mOpRemesas;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,id=DCE.8B8FB5EF-C2D7-0A61-A067-356CA5120187]
    // </editor-fold>
    public Remesa () {
        mOpRemesas=new ArrayList<OpRemesas>();
    }
    public void insertaopremesa(OpRemesas op){
        this.mOpRemesas.add(op);
                                            }
    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,regenBody=yes,id=DCE.DD580E82-248D-ED5A-A0AF-F7349ED95AD3]
    // </editor-fold>
    public ArrayList<OpRemesas> getOpremesa () {
        return getMOpRemesas();
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,regenBody=yes,id=DCE.1A2C5F2A-2631-CB49-0023-2F3301B8D78E]
    // </editor-fold>
    public void setOpremesa (ArrayList<OpRemesas> val) {
        this.setMOpremesa(val);
    }

    /**
     * @return the mOpremesa
     */
    public ArrayList<OpRemesas> getMOpRemesas() {
        return mOpRemesas;
    }

    /**
     * @param mOpremesa the mOpremesa to set
     */
    public void setMOpremesa(ArrayList<OpRemesas> mOpRemesas) {
        this.mOpRemesas = mOpRemesas;
    }

    /**
     * @return the nombreOrdenante
     */
    public String getNombreOrdenante() {
        return nombreOrdenante;
    }

    /**
     * @param nombreOrdenante the nombreOrdenante to set
     */
    public void setNombreOrdenante(String nombreOrdenante) {
        this.nombreOrdenante = nombreOrdenante;
    }

}

